Bug 2263917 (CVE-2023-50868) - CVE-2023-50868 bind9: Preparing an NSEC3 closest encloser proof can exhaust CPU resources
Summary: CVE-2023-50868 bind9: Preparing an NSEC3 closest encloser proof can exhaust C...
Keywords:
Status: NEW
Alias: CVE-2023-50868
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2264068 2264101 2264102 2264364
Blocks: 2263895
TreeView+ depends on / blocked
 
Reported: 2024-02-12 19:22 UTC by Marco Benatto
Modified: 2024-04-15 02:08 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in bind9. By flooding a DNSSEC resolver with responses coming from a DNSEC-signed zone using NSEC3, an attacker can lead the targeted resolver to a CPU exhaustion, further leading to a Denial of Service on the targeted host. This vulnerability applies only for systems where DNSSEC validation is enabled.
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2024:0995 0 None None None 2024-02-26 21:47:08 UTC
Red Hat Product Errata RHBA-2024:0996 0 None None None 2024-02-26 22:03:43 UTC
Red Hat Product Errata RHBA-2024:0997 0 None None None 2024-02-26 21:54:29 UTC
Red Hat Product Errata RHBA-2024:1024 0 None None None 2024-02-28 16:18:36 UTC
Red Hat Product Errata RHBA-2024:1033 0 None None None 2024-02-28 21:38:54 UTC
Red Hat Product Errata RHBA-2024:1035 0 None None None 2024-02-29 01:47:31 UTC
Red Hat Product Errata RHBA-2024:1042 0 None None None 2024-02-29 09:08:55 UTC
Red Hat Product Errata RHBA-2024:1185 0 None None None 2024-03-06 05:44:04 UTC
Red Hat Product Errata RHBA-2024:1339 0 None None None 2024-03-14 18:54:20 UTC
Red Hat Product Errata RHBA-2024:1340 0 None None None 2024-03-14 18:54:22 UTC
Red Hat Product Errata RHBA-2024:1342 0 None None None 2024-03-14 21:00:22 UTC
Red Hat Product Errata RHBA-2024:1577 0 None None None 2024-04-01 01:06:34 UTC
Red Hat Product Errata RHBA-2024:1792 0 None None None 2024-04-11 19:32:16 UTC
Red Hat Product Errata RHBA-2024:1805 0 None None None 2024-04-15 01:37:29 UTC
Red Hat Product Errata RHBA-2024:1811 0 None None None 2024-04-15 02:08:29 UTC
Red Hat Product Errata RHSA-2024:0965 0 None None None 2024-02-26 02:16:19 UTC
Red Hat Product Errata RHSA-2024:0977 0 None None None 2024-02-26 08:41:48 UTC
Red Hat Product Errata RHSA-2024:0981 0 None None None 2024-02-26 09:30:09 UTC
Red Hat Product Errata RHSA-2024:0982 0 None None None 2024-02-26 09:32:36 UTC
Red Hat Product Errata RHSA-2024:1334 0 None None None 2024-03-14 15:25:19 UTC
Red Hat Product Errata RHSA-2024:1335 0 None None None 2024-03-14 15:28:12 UTC
Red Hat Product Errata RHSA-2024:1522 0 None None None 2024-03-26 12:36:22 UTC
Red Hat Product Errata RHSA-2024:1543 0 None None None 2024-03-27 15:01:17 UTC
Red Hat Product Errata RHSA-2024:1544 0 None None None 2024-03-27 15:05:27 UTC
Red Hat Product Errata RHSA-2024:1545 0 None None None 2024-03-27 15:05:57 UTC
Red Hat Product Errata RHSA-2024:1647 0 None None None 2024-04-02 20:49:57 UTC
Red Hat Product Errata RHSA-2024:1648 0 None None None 2024-04-02 20:50:43 UTC
Red Hat Product Errata RHSA-2024:1781 0 None None None 2024-04-11 10:59:58 UTC
Red Hat Product Errata RHSA-2024:1782 0 None None None 2024-04-11 11:11:10 UTC
Red Hat Product Errata RHSA-2024:1789 0 None None None 2024-04-11 17:43:14 UTC
Red Hat Product Errata RHSA-2024:1800 0 None None None 2024-04-15 01:26:35 UTC
Red Hat Product Errata RHSA-2024:1801 0 None None None 2024-04-15 01:26:11 UTC
Red Hat Product Errata RHSA-2024:1803 0 None None None 2024-04-15 01:47:26 UTC
Red Hat Product Errata RHSA-2024:1804 0 None None None 2024-04-15 01:38:51 UTC

Description Marco Benatto 2024-02-12 19:22:00 UTC
The processing of responses coming from DNSSEC-signed zones using NSEC3 can cause CPU exhaustion on a DNSSEC-validating resolver.

Comment 4 Dhananjay Arunesh 2024-02-13 16:48:54 UTC
Created bind tracking bugs for this issue:

Affects: fedora-all [bug 2264068]

Comment 6 Petr Menšík 2024-02-13 18:20:07 UTC
Quite surprising information for me. This seems to have been coordinated among multiple vendors. This is issue not only in BIND9, but any validating resolvers it seems!
Found out just by coincidence at:
https://fosstodon.org/@tychotithonus@infosec.exchange/111924626751024210

- unbound is affected as well: https://github.com/NLnetLabs/unbound/releases/tag/release-1.19.1
- dnsmasq is affected too: https://lists.thekelleys.org.uk/pipermail/dnsmasq-discuss/2024q1/017430.html

Somehow I expect systemd-resolved to be affected too, when everyone else is.

Comment 7 Petr Menšík 2024-02-13 18:21:17 UTC
Related to bug #2263914.

ISC KB article: https://kb.isc.org/docs/cve-2023-50868

Comment 9 Zack Miele 2024-02-13 21:53:23 UTC
Created dnsmasq tracking bugs for this issue:

Affects: fedora-all [bug 2264102]


Created unbound tracking bugs for this issue:

Affects: fedora-all [bug 2264101]

Comment 11 Dhananjay Arunesh 2024-02-15 08:25:09 UTC
Created dhcp tracking bugs for this issue:

Affects: fedora-all [bug 2264364]

Comment 15 errata-xmlrpc 2024-02-26 02:16:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:0965 https://access.redhat.com/errata/RHSA-2024:0965

Comment 16 errata-xmlrpc 2024-02-26 08:41:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:0977 https://access.redhat.com/errata/RHSA-2024:0977

Comment 17 errata-xmlrpc 2024-02-26 09:30:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.2 Extended Update Support

Via RHSA-2024:0981 https://access.redhat.com/errata/RHSA-2024:0981

Comment 18 errata-xmlrpc 2024-02-26 09:32:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.8 Extended Update Support

Via RHSA-2024:0982 https://access.redhat.com/errata/RHSA-2024:0982

Comment 20 errata-xmlrpc 2024-03-14 15:25:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:1334 https://access.redhat.com/errata/RHSA-2024:1334

Comment 21 errata-xmlrpc 2024-03-14 15:28:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:1335 https://access.redhat.com/errata/RHSA-2024:1335

Comment 22 errata-xmlrpc 2024-03-26 12:36:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.2 Extended Update Support

Via RHSA-2024:1522 https://access.redhat.com/errata/RHSA-2024:1522

Comment 25 errata-xmlrpc 2024-03-27 15:01:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.0 Extended Update Support

Via RHSA-2024:1543 https://access.redhat.com/errata/RHSA-2024:1543

Comment 26 errata-xmlrpc 2024-03-27 15:05:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.8 Extended Update Support

Via RHSA-2024:1544 https://access.redhat.com/errata/RHSA-2024:1544

Comment 27 errata-xmlrpc 2024-03-27 15:05:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.6 Extended Update Support

Via RHSA-2024:1545 https://access.redhat.com/errata/RHSA-2024:1545

Comment 28 errata-xmlrpc 2024-04-02 20:49:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.6 Extended Update Support

Via RHSA-2024:1647 https://access.redhat.com/errata/RHSA-2024:1647

Comment 29 errata-xmlrpc 2024-04-02 20:50:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.8 Extended Update Support

Via RHSA-2024:1648 https://access.redhat.com/errata/RHSA-2024:1648

Comment 31 errata-xmlrpc 2024-04-11 10:59:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:1781 https://access.redhat.com/errata/RHSA-2024:1781

Comment 32 errata-xmlrpc 2024-04-11 11:11:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:1782 https://access.redhat.com/errata/RHSA-2024:1782

Comment 33 errata-xmlrpc 2024-04-11 17:43:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:1789 https://access.redhat.com/errata/RHSA-2024:1789

Comment 34 errata-xmlrpc 2024-04-15 01:26:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.0 Extended Update Support

Via RHSA-2024:1801 https://access.redhat.com/errata/RHSA-2024:1801

Comment 35 errata-xmlrpc 2024-04-15 01:26:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.0 Extended Update Support

Via RHSA-2024:1800 https://access.redhat.com/errata/RHSA-2024:1800

Comment 36 errata-xmlrpc 2024-04-15 01:38:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.6 Extended Update Support

Via RHSA-2024:1804 https://access.redhat.com/errata/RHSA-2024:1804

Comment 37 errata-xmlrpc 2024-04-15 01:47:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.2 Extended Update Support

Via RHSA-2024:1803 https://access.redhat.com/errata/RHSA-2024:1803


Note You need to log in before you can comment on or make changes to this bug.